<form class="form-group" (ngSubmit)="login()" #loginForm=ngForm>
	<fieldset>
		<legend>Login</legend>
		<label for="username">Username:</label>
		<input type="text" name="username" class="form-control" [(ngModel)]="username" required minlength="4" #loginInput=ngModel/>
		<div *ngIf="loginInput.dirty && !loginInput.valid" class="alert alert-danger p-0">
			<div *ngIf="loginInput.errors.required">
				Username is required.
			</div>
			<div *ngIf="loginInput.errors.minlength">
				Username must be at least 4 characters long.
			</div>
		</div>
		<label for="password">Password:</label> 
		<input type="password" name="password" class="form-control" [(ngModel)]="password" required/>
		<span style="color: red;"></span>
	</fieldset>
	
	<div class="text-center">
		<input type="reset" class="btn btn-secondary" value="Reset"/>
		<input type="submit" class="btn btn-success" value="Submit" [disabled]="!loginForm.valid"/>
	</div>
</form>